<template>
  <div class="ifram-view" :style="iframViewStyle">
    <!-- <span>!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!</span> -->
    <!-- <iframe src="https://dev-mssm-liaoning.imian.org.cn/ggfw/#/firmContent/drugInfo" frameborder="0" style="width: 100%;height: 100%;"></iframe> -->
    <iframe src="http://localhost:81/#/firmContent/drugInfo" frameborder="0" style="width: 100%;height: 100%;"></iframe>
  </div>
</template>
<script>
export default {
  data() {
    return {
      iframViewStyle:{
        height:"",
      }
    }
  },
  methods:{
  },
  mounted() {
    this.$nextTick(()=>{
      let dom = document.getElementsByClassName('ifram-view');
      let height = dom[0].getBoundingClientRect();
      // let windowWidth = window.innerWidth;
      let windowHeight = window.innerHeight;
      let relativeHeight = windowHeight - height.top
      this.iframViewStyle.height = relativeHeight + 'px'
    })
  },
}
</script>
<style lang="scss" scoped>
.ifram-view {
  background-color: #fff;
  overflow-y: scroll;
}
</style>
